# GstGLSyncMeta

GstGLSyncMeta provides the ability to synchronize the OpenGL command stream with the CPU or with other OpenGL contexts.

## GstGLSyncMeta

### Members

`parent` (GstMeta) –

the parent GstMeta

`context` (GstGLContext *) –

the GstGLContext used to allocate the meta

`data` (gpointer) –

a custom data pointer for the implementation

## GstGL.GLSyncMeta

### Members

`parent` (Gst.Meta) –

the parent Gst.Meta

`context` (GstGL.GLContext) –

the GstGL.GLContext used to allocate the meta

`data` (Object) –

a custom data pointer for the implementation

## GstGL.GLSyncMeta

### Members

`parent` (Gst.Meta) –

the parent Gst.Meta

`context` (GstGL.GLContext) –

the GstGL.GLContext used to allocate the meta

`data` (object) –

a custom data pointer for the implementation

### Methods

#### gst_gl_sync_meta_set_sync_point

    gst_gl_sync_meta_set_sync_point (GstGLSyncMeta * sync_meta,
                                     GstGLContext * context)

Set a sync point to possibly wait on at a later time.

Parameters:

`sync_meta` –

a GstGLSyncMeta

`context` –

a GstGLContext

Since : 1.6

#### GstGL.GLSyncMeta.prototype.set_sync_point

    function GstGL.GLSyncMeta.prototype.set_sync_point(context: GstGL.GLContext): {
        // javascript wrapper for 'gst_gl_sync_meta_set_sync_point'
    }

Set a sync point to possibly wait on at a later time.

Parameters:

`sync_meta` (GstGL.GLSyncMeta) –

a GstGL.GLSyncMeta

`context` (GstGL.GLContext) –

a GstGL.GLContext

Since : 1.6

#### GstGL.GLSyncMeta.set_sync_point

    def GstGL.GLSyncMeta.set_sync_point (self, context):
        #python wrapper for 'gst_gl_sync_meta_set_sync_point'

Set a sync point to possibly wait on at a later time.

Parameters:

`sync_meta` (GstGL.GLSyncMeta) –

a GstGL.GLSyncMeta

`context` (GstGL.GLContext) –

a GstGL.GLContext

Since : 1.6

#### gst_gl_sync_meta_wait

    gst_gl_sync_meta_wait (GstGLSyncMeta * sync_meta,
                           GstGLContext * context)

Insert a wait into context's command stream ensuring all previous OpenGL commands before sync_meta have completed.

Parameters:

`sync_meta` –

a GstGLSyncMeta

`context` –

a GstGLContext

Since : 1.6

#### GstGL.GLSyncMeta.prototype.wait

    function GstGL.GLSyncMeta.prototype.wait(context: GstGL.GLContext): {
        // javascript wrapper for 'gst_gl_sync_meta_wait'
    }

Insert a wait into context's command stream ensuring all previous OpenGL commands before sync_meta have completed.

Parameters:

`sync_meta` (GstGL.GLSyncMeta) –

a GstGL.GLSyncMeta

`context` (GstGL.GLContext) –

a GstGL.GLContext

Since : 1.6

#### GstGL.GLSyncMeta.wait

    def GstGL.GLSyncMeta.wait (self, context):
        #python wrapper for 'gst_gl_sync_meta_wait'

Insert a wait into context's command stream ensuring all previous OpenGL commands before sync_meta have completed.

Parameters:

`sync_meta` (GstGL.GLSyncMeta) –

a GstGL.GLSyncMeta

`context` (GstGL.GLContext) –

a GstGL.GLContext

Since : 1.6

#### gst_gl_sync_meta_wait_cpu

    gst_gl_sync_meta_wait_cpu (GstGLSyncMeta * sync_meta,
                               GstGLContext * context)

Perform a wait so that the sync point has passed from the CPU's perspective What that means, is that all GL operations changing CPU-visible data before the sync point are now visible.

Parameters:

`sync_meta` –

a GstGLSyncMeta

`context` –

a GstGLContext

Since : 1.8

#### GstGL.GLSyncMeta.prototype.wait_cpu

    function GstGL.GLSyncMeta.prototype.wait_cpu(context: GstGL.GLContext): {
        // javascript wrapper for 'gst_gl_sync_meta_wait_cpu'
    }

Perform a wait so that the sync point has passed from the CPU's perspective What that means, is that all GL operations changing CPU-visible data before the sync point are now visible.

Parameters:

`sync_meta` (GstGL.GLSyncMeta) –

a GstGL.GLSyncMeta

`context` (GstGL.GLContext) –

a GstGL.GLContext

Since : 1.8

#### GstGL.GLSyncMeta.wait_cpu

    def GstGL.GLSyncMeta.wait_cpu (self, context):
        #python wrapper for 'gst_gl_sync_meta_wait_cpu'

Perform a wait so that the sync point has passed from the CPU's perspective What that means, is that all GL operations changing CPU-visible data before the sync point are now visible.

Parameters:

`sync_meta` (GstGL.GLSyncMeta) –

a GstGL.GLSyncMeta

`context` (GstGL.GLContext) –

a GstGL.GLContext

Since : 1.8

### Functions

#### gst_gl_sync_meta_get_info

    const GstMetaInfo *
    gst_gl_sync_meta_get_info ()

Returns –
No description available

#### GstGL.prototype.gl_sync_meta_get_info

    function GstGL.prototype.gl_sync_meta_get_info(): {
        // javascript wrapper for 'gst_gl_sync_meta_get_info'
    }

Returns (Gst.MetaInfo) –
No description available

#### GstGL.gl_sync_meta_get_info

    def GstGL.gl_sync_meta_get_info ():
        #python wrapper for 'gst_gl_sync_meta_get_info'

Returns (Gst.MetaInfo) –
No description available

## Functions

### gst_buffer_add_gl_sync_meta

    GstGLSyncMeta *
    gst_buffer_add_gl_sync_meta (GstGLContext * context,
                                 GstBuffer * buffer)

Parameters:

`context` –

a GstGLContext

`buffer` –

a GstBuffer

Returns ( [transfer: none]) –

the GstGLSyncMeta added to GstBuffer

Since : 1.6

### GstGL.prototype.buffer_add_gl_sync_meta

    function GstGL.prototype.buffer_add_gl_sync_meta(context: GstGL.GLContext, buffer: Gst.Buffer): {
        // javascript wrapper for 'gst_buffer_add_gl_sync_meta'
    }

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstGL.GLSyncMeta) –

the GstGL.GLSyncMeta added to Gst.Buffer

Since : 1.6

### GstGL.buffer_add_gl_sync_meta

    def GstGL.buffer_add_gl_sync_meta (context, buffer):
        #python wrapper for 'gst_buffer_add_gl_sync_meta'

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`buffer` (Gst.Buffer) –

a Gst.Buffer

Returns (GstGL.GLSyncMeta) –

the GstGL.GLSyncMeta added to Gst.Buffer

Since : 1.6

### gst_buffer_add_gl_sync_meta_full

    GstGLSyncMeta *
    gst_buffer_add_gl_sync_meta_full (GstGLContext * context,
                                      GstBuffer * buffer,
                                      gpointer data)

Parameters:

`context` –

a GstGLContext

`buffer` –

a GstBuffer

`data` –

sync data to hold

Returns ( [transfer: none]) –

the GstGLSyncMeta added to GstBuffer

Since : 1.8

### GstGL.prototype.buffer_add_gl_sync_meta_full

    function GstGL.prototype.buffer_add_gl_sync_meta_full(context: GstGL.GLContext, buffer: Gst.Buffer, data: Object): {
        // javascript wrapper for 'gst_buffer_add_gl_sync_meta_full'
    }

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`buffer` (Gst.Buffer) –

a Gst.Buffer

`data` (Object) –

sync data to hold

Returns (GstGL.GLSyncMeta) –

the GstGL.GLSyncMeta added to Gst.Buffer

Since : 1.8

### GstGL.buffer_add_gl_sync_meta_full

    def GstGL.buffer_add_gl_sync_meta_full (context, buffer, data):
        #python wrapper for 'gst_buffer_add_gl_sync_meta_full'

Parameters:

`context` (GstGL.GLContext) –

a GstGL.GLContext

`buffer` (Gst.Buffer) –

a Gst.Buffer

`data` (object) –

sync data to hold

Returns (GstGL.GLSyncMeta) –

the GstGL.GLSyncMeta added to Gst.Buffer

Since : 1.8

### gst_gl_sync_meta_api_get_type

    GType
    gst_gl_sync_meta_api_get_type ()

Returns –
No description available

### GstGL.prototype.gl_sync_meta_api_get_type

    function GstGL.prototype.gl_sync_meta_api_get_type(): {
        // javascript wrapper for 'gst_gl_sync_meta_api_get_type'
    }

Returns (GObject.Type) –
No description available

### GstGL.gl_sync_meta_api_get_type

    def GstGL.gl_sync_meta_api_get_type ():
        #python wrapper for 'gst_gl_sync_meta_api_get_type'

Returns (GObject.Type) –
No description available

## Function Macros

### gst_buffer_get_gl_sync_meta

    #define gst_buffer_get_gl_sync_meta(b) ((GstGLSyncMeta*)gst_buffer_get_meta((b),GST_GL_SYNC_META_API_TYPE))

## Constants

### GST_BUFFER_POOL_OPTION_GL_SYNC_META

    #define GST_BUFFER_POOL_OPTION_GL_SYNC_META "GstBufferPoolOptionGLSyncMeta"

An option that can be activated on bufferpools to request OpenGL synchronization metadata on buffers from the pool.

### GstGL.BUFFER_POOL_OPTION_GL_SYNC_META

An option that can be activated on bufferpools to request OpenGL synchronization metadata on buffers from the pool.

### GstGL.BUFFER_POOL_OPTION_GL_SYNC_META

An option that can be activated on bufferpools to request OpenGL synchronization metadata on buffers from the pool.

### GST_GL_SYNC_META_API_TYPE

    #define GST_GL_SYNC_META_API_TYPE (gst_gl_sync_meta_api_get_type())

### GST_GL_SYNC_META_INFO

    #define GST_GL_SYNC_META_INFO     (gst_gl_sync_meta_get_info())

The results of the search are